{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    {# Any extra CSS for your page #}
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('js/ihm.js') }}" type="application/javascript"></script>
    <script src="{{ asset('js/deck.js') }}" type="application/javascript"></script>
    <script src="{{ asset('js/cards.js') }}" type="application/javascript"></script>
{% endblock %}

{% block title %}
    - New Deck
{% endblock %}

{% block content %}
    <table id="aTable">
        <tbody>
        <tr>
            <td class="mainBox">
                <div id="msg">
                </div>

                <h1>Nouveau pack </h1>
                <form name="form" id="form" method="post" action="#user/switchCollectionView">
                    <input name="packCards" type="hidden" id="bonusCards" value=""/>
                </form>
                <div id="temp" style="display:none"></div>

                <div id="exchanges">
                    <div id="folderBox">
                        {#
                        <ul class="folders">
                            <li class="active" id="folder1">Cartes</li>
                            <li class="disable" id="folder2"><a href="javascript:submitView();">Tableau</a></li>
                        </ul>
                        #}
                        <div id="boxContainer">
                            {{ include('Components/filters.html.twig') }}

                            <div id="cardExchangeCollection">
                                {% for id in cardFactory.allCardId %}
                                    {% set card = cardFactory.loadCard(id) %}
                                    {% set maxAmount = 3 %}
                                    <div class="null clickable" onclick="addOneCard('{{ id }}', {{ maxAmount }});" id="card{{ card.id }}">
                                        {{ include('Card/card.html.twig', { 'card': card, 'showCard': true, 'amount': maxAmount, 'disableArtworkClick': true }) }}
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>
            </td>

            <td class="siderBox">
                <div id="rightMenu">
                    <div class="borderBrown">
                        <div class="borderWhite">
                            <h2>Nouveau pack </h2>

                            <p style="font-size : 11px; line-height : 10px;">
                                Cartes dans le pack :
                                <label id="nbCards">0</label>
                            </p>
                            <p>
                                <img alt="icon dinoz" src="{{ asset('img/gfx/icons/icon_small_dinoz.gif') }}"
                                     onmouseover="showHelp(this, 'nombre de dinoz dans le pack');"
                                     onmouseout="hideTip();"/>
                                <label id="dinozNb">0</label>
                                <img alt="icon spell" src="{{ asset('img/gfx/icons/icon_small_spell.gif') }}"
                                     onmouseover="showHelp(this, 'nombre d\'incantations dans le pack');"
                                     onmouseout="hideTip();"/>
                                <label id="spellNb">0</label>
                                <img alt="icon charm" src="{{ asset('img/gfx/icons/icon_small_charm.gif') }}"
                                     onmouseover="showHelp(this, 'nombre d\'enchantements dans le pack');"
                                     onmouseout="hideTip();"/>
                                <label id="itemNb">0</label>
                                <img alt="icon object" src="{{ asset('img/gfx/icons/icon_small_object.gif') }}"
                                     onmouseover="showHelp(this, 'nombre d\'objets magiques dans le pack');"
                                     onmouseout="hideTip();"/>
                                <label id="charmNb">0</label>
                            </p>
                            <div id="lockedCards">

                            </div>
                            <div id="listCards">
                                <ul>
                                    <li><i>Aucune carte ajoutée.</i></li>
                                </ul>
                            </div>

                            <form name="fNewPack" id="fNewPack" method="post" action="{{ path('saveNewDeck')}}">
                                <input name="name" type="hidden" id="name" value="new"> {# TODO for edition, change that to edit #}
                                <input name="view" type="hidden" id="view" value="true">
                                <input name="level" type="hidden" id="level" value="0">
                                <input name="packCards" type="hidden" id="pc" value="">
                                <p class="smallFont">Nom du pack : </p>
                                <input type="text" id="packSetName" style="width: 137px;" value="">
                            </form>
                            <br/>
                                <div class="buttonBox">
                                    <a class="button"
                                       onclick="saveDeck()"
                                       onmouseover="showTip(this,'Créer le pack', 'Sauvegarde de vos changements.');"
                                       onmouseout="hideTip()">
                                        Créer le pack
                                    </a>
                                    <a href="#deck/reset" class="button"
                                       onmouseover="showTip(this,'Vider', 'Remise à zéro de vos modifications.');"
                                       onmouseout="hideTip()">
                                        Vider
                                    </a>
                                </div>
                        </div>
                    </div>
                </div>

            </td>
        </tr>
        </tbody>
    </table>
{% endblock %}